module Eighty
  def self.metadata
    Metadata.instance
  end

  class Metadata
    include Singleton
    attr_accessor :items

    def initialize
      @items = []
    end
  end

  class Item
    attr_accessor :content, :source_path, :source_absolute_path, :source_base,
                  :extname, :attributes, :path
  end
end
